This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 436024 - (CVE-2008-1136) CVE-2008-1136 vdccm insufficient escaping of shell metacharacters
CVE-2008-1136 vdccm insufficient escaping of shell metacharacters
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 436025
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 16:45 EST by Red Hat Product Security
Modified: 2010-12-23 11:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 11:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-04 16:45:00 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1136 to the following vulnerability:

The Utils::runScripts function in src/utils.cpp in vdccm 0.92 through 0.10.0 in SynCE (SynCE-dccm) allows remote attackers to execute arbitrary commands via shell metacharacters in a certain string to TCP port 5679.

References:

http://www.securityfocus.com/archive/1/archive/1/485884/100/0/threaded
http://www.coresecurity.com/?action=item&id=2070
http://sourceforge.net/forum/forum.php?forum_id=766440
http://www.securityfocus.com/bid/27178
http://xforce.iss.net/xforce/xfdb/39506
Comment 1 Fedora Update System 2008-03-06 11:32:29 EST
synce-sync-engine-0.11-6.fc8, librapi-0.11-1.fc8, vdccm-0.10.1-1.fc8, wbxml2-0.9.2-12.fc8, synce-kpm-0.11-3.fc8, synce-serial-0.11-1.fc8, librra-0.11-1.fc8, odccm-0.11-1.fc8, pywbxml-0.1-2.fc8, synce-gnome-0.11-2.fc8, synce-gnomevfs-0.11-1.fc8, libsynce-0.11-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Red Hat Bugzilla 2009-10-23 15:04:21 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.